su-to-root(1)

NOM
su-to-root - un simple script qui est une interface interactive à su. Il peut être utilisé dans les commandes des entrées de menu pour demander le mot de passe du super-utilisateur.

SYNOPSIS
su-to-root [-X] [-p <utilisateur>] -c <commande>

DESCRIPTION
La plupart des entrées de menu démarrent un éditeur, un jeu, ou n'importe quoi d'autre. Mais certaines entrées de menu veulent fournir à l'utilisateur la possibilité de changer des réglages importants du système, ce qui nécessite des droits d'administration. su-to-root peut être utilisé pour demander le mot de passe du super-utilisateur.

OPTIONS

-c <command>
    La commande à exécuter sous forme de chaîne de caractères. Cette option est obligatoire.

-p <utilisateur>
    Le compte utilisateur cible, en lieu et place de root.

-X  La commande est un programme X11 qui ne nécessite pas de terminal. Elle doit être utilisée avec les entrées de menu qui déclarent le champs needs="X11".

ENVIRONNEMENT

SU_TO_ROOT_X
    Indique le programme permettant de devenir super-utilisateur qui sera appelé par su-to-root -X. Les valeurs acceptées sont gksu, kdesu, kde4su, ktsuss, sux, gksudo et kdesudo. kde4su indique la version KDE4 de kdesu.

    Quand cette variable n'est pas définie, su-to-root essaie actuellement d'utiliser gksu, kdesu, kde4su, ktsuss, sux et le code intégré dans cet ordre avec l'exception que, dans une session KDE, kdesu et kde4su seront préférés à gksu.

    La liste de programmes à essayer et son ordre est sujet à changement sans avertissement.

SU_TO_ROOT_SU
    Indique le programme permettant de devenir super-utilisateur qui sera appelé en mode texte. Les valeurs acceptées sont sux, sudo et su, ce dernier étant la valeur par défaut.

FICHIERS

/etc/su-to-rootrc

~/.su-to-rootrc
    su-to-root sourcera ce fichier au lancement. Ceci permet de définir et modifier les variables d'environnement décrite précédemment sans avoir à redémarrer votre session X.

DISTRIBUTION
su-to-root est distribué sous la licence publique générale (« GPL ») du projet GNU (GPL version 2.0 ou supérieure).

AUTEURS
Joost Witteveen <joostje@debian.org>

Gestion de X11 par Morten Brix Pedersen et Bill Allombert <ballombe@debian.org>.

Cette page de manuel est basée sur une première traduction réalisée par Nicolas François le 3 septembre 2005.

VOIR AUSSI
update-menus(1), menufile(5), /usr/share/doc/menu/html